Withdraw a work item's declaration of a pull request
curl --request DELETE \
--url https://api.outerlayer.ai/v1/work-items/{workItemId}/pull-requests/{repository}/{prNumber} \
--header 'Authorization: Bearer <token>' \
--header 'X-Outerlayer-App-Id: <api-key>'import requests
url = "https://api.outerlayer.ai/v1/work-items/{workItemId}/pull-requests/{repository}/{prNumber}"
headers = {
"X-Outerlayer-App-Id": "<api-key>",
"Authorization": "Bearer <token>"
}
response = requests.delete(url, headers=headers)
print(response.text)const options = {
method: 'DELETE',
headers: {'X-Outerlayer-App-Id': '<api-key>', Authorization: 'Bearer <token>'}
};
fetch('https://api.outerlayer.ai/v1/work-items/{workItemId}/pull-requests/{repository}/{prNumber}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"prNumber": 123,
"repository": "<string>",
"workItemId": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}Work Items
Withdraw a work item's declaration of a pull request
Removes one work item’s declaration of one pull request and leaves any other item’s declaration of it. repository is one URL-encoded path segment. Only a person can withdraw (withdraw_needs_person otherwise). The pull request and the item are nominated for an evidence comment refresh.
DELETE
/
v1
/
work-items
/
{workItemId}
/
pull-requests
/
{repository}
/
{prNumber}
Withdraw a work item's declaration of a pull request
Authorizations
Factory id the request is scoped to.
API key (sk_outerlayer_*)
Path Parameters
Required range:
x > 0Query Parameters
Response
The declaration was removed.
Show child attributes
Show child attributes